#include <qapplication.h>
#include "listviewtooltip.h"

int main( int argc, char** argv ) {
    QApplication app( argc, argv );

    QListView myListView;
    myListView.addColumn( "Column 1" );
    myListView.addColumn( "Column 2" );

    new QListViewItem( &myListView, "Item 1, Column 1", "Item 1, Column 2" );
    new QListViewItem( &myListView, "Item 2, Column 1", "Item 2, Column 2" );
    new QListViewItem( &myListView, "Item 3, Column 1", "Item 3, Column 2" );
    new QListViewItem( &myListView, "Item 4, Column 1", "Item 4, Column 2" );

    QToolTip::remove( &myListView );
    new ListViewToolTip( &myListView );

    myListView.show();

    QObject::connect( qApp, SIGNAL( lastWindowClosed() ),
                      qApp, SLOT( quit() ) );
    return app.exec();
}
